package cmdUser

import (
    "encoding/json"
    "nexus-client/cmd"
    "nexus-common/params"
    u "nexus-client/utils"
    "github.com/go-resty/resty/v2"
)

func printRegexUsage(c cmd.Command) {
    for _, desc := range c.GetDesc() {
        u.PrintlnErr(desc)
    }
    u.PrintlnErr("―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――")
    u.PrintlnErr("USAGE: ", c.GetName(), " [regex ...]")
    u.PrintlnErr("―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――")
}

func printRegexUsageDetails() {
    const usage string = `Only users matching the specified regexes will be listed.
Any number of regexes can be specified.
The regex matches the user email, first name and last name and is case-insensitive.
Regex examples:
"."   -> matches any users
"bla" -> matches any users containing "bla"`
    u.PrintlnErr(usage)
}

func deserializeUsers(resp *resty.Response) ([]params.UserWithoutPwd, error) {
    users := []params.UserWithoutPwd{}
    if err := json.Unmarshal(resp.Body(), &users); err != nil {
        return nil, err
    }
    return users, nil
}
